/// <reference types="react" />
import { AioReplacement } from "./aioInterface";
/**
 * Properties for AioReplacements
 * @param value AioReplacement list
 * @param setValue update function
 */
interface AioReplacementsProps {
    replacements: AioReplacement[];
    setReplacements?: (value: AioReplacement[]) => void;
    dontAskSpace?: boolean;
}
/**
 * Option item for replacements
 * @param props replacement object
 * @returns JSX
 */
export declare const AioReplacementDisplay: (props: AioReplacementsProps) => JSX.Element;
export {};
