/// <reference types="draft-js" />
import 'draft-js/dist/Draft.css';
import React from "react";
import './aie.css';
export interface AieStyleMap {
    [styleName: string]: {
        css: React.CSSProperties;
        aieExclude: string[];
    };
}
/** Interface for the AsupInternalEditor component */
interface AsupInternalEditorProps {
    value: string;
    setValue?: (ret: string) => void;
    addStyle?: React.CSSProperties;
    styleMap?: AieStyleMap;
    highlightChanges?: boolean;
    textAlignment?: Draft.DraftComponent.Base.DraftTextAlignment;
    showStyleButtons?: boolean;
    editable?: boolean;
}
export declare const AsupInternalEditor: (props: AsupInternalEditorProps) => JSX.Element;
export {};
