/// <reference types="react" />
import { AitCellData, AitLocation, AitOptionList } from "./aitInterface";
interface AitCellProps {
    aitid: string;
    text: string;
    rowSpan: number;
    colSpan: number;
    colWidth?: number;
    textIndents?: number;
    replacedText?: string;
    repeatColSpan?: number;
    repeatRowSpan?: number;
    columnIndex: number;
    setCellData?: (ret: AitCellData) => void;
    readOnly: boolean;
    higherOptions: AitOptionList;
    addColSpan?: (loc: AitLocation) => void;
    removeColSpan?: (loc: AitLocation) => void;
    addRowSpan?: (loc: AitLocation) => void;
    removeRowSpan?: (loc: AitLocation) => void;
}
export declare const AitCell: ({ aitid, text, colSpan, rowSpan, colWidth, textIndents, replacedText, repeatColSpan, repeatRowSpan, columnIndex, setCellData, readOnly, higherOptions, addColSpan, removeColSpan, addRowSpan, removeRowSpan, }: AitCellProps) => JSX.Element;
export {};
