/// <reference types="react" />
import { AioReplacement } from "../aio/aioInterface";
import { AitColumnRepeat, AitOptionList, AitRowData, AitRowGroupData } from "./aitInterface";
interface AitRowGroupProps {
    aitid: string;
    rows: AitRowData[];
    replacements: AioReplacement[];
    setRowGroupData: (ret: AitRowGroupData) => void;
    higherOptions: AitOptionList;
    addRowGroup?: (rgi: number) => void;
    removeRowGroup?: (rgi: number) => void;
    columnRepeats?: AitColumnRepeat[];
}
export declare const AitRowGroup: ({ aitid, rows, replacements, setRowGroupData, higherOptions, addRowGroup, removeRowGroup, columnRepeats, }: AitRowGroupProps) => JSX.Element;
export {};
