/// <reference types="react" />
import { AioReplacement } from "../aio/aioInterface";
import { AitCellData, AitColumnRepeat, AitLocation, AitOptionList, AitRowData } from "./aitInterface";
interface AitRowProps {
    aitid: string;
    cells: AitCellData[];
    setRowData?: (ret: AitRowData) => void;
    higherOptions: AitOptionList;
    replacements: AioReplacement[];
    setReplacements?: (ret: AioReplacement[], location: AitLocation) => void;
    rowGroupWindowTitle?: string;
    addRowGroup?: (rgi: number) => void;
    removeRowGroup?: (rgi: number) => void;
    addRow?: (ri: number) => void;
    removeRow?: (ri: number) => void;
    spaceAfter?: boolean;
    addColSpan?: (loc: AitLocation) => void;
    removeColSpan?: (loc: AitLocation) => void;
    addRowSpan?: (loc: AitLocation) => void;
    removeRowSpan?: (loc: AitLocation) => void;
    columnRepeats?: AitColumnRepeat[];
}
export declare const AitRow: ({ aitid, cells, setRowData, higherOptions, replacements, setReplacements, rowGroupWindowTitle, addRowGroup, removeRowGroup, addRow, removeRow, spaceAfter, addColSpan, removeColSpan, addRowSpan, removeRowSpan, columnRepeats, }: AitRowProps) => JSX.Element;
export {};
